Bug 818959 - oops in gen6_render_ring_flush
oops in gen6_render_ring_flush
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:52b1bc0048cb525f522991572ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 09:33 EDT by GeoffLeach
Modified: 2013-02-13 03:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:21:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2012-05-04 09:33:52 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-5.fc16.i686.PAE root=UUID=ee03a990-e134-4023-8e5c-12383bd81d3f ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rd.luks=0 LANG=en_US.UTF-8 selinux=0 pause_on_oops=30 hibernate=nocompress
kernel:         3.3.1-5.fc16.i686.PAE
reason:         ADDRCONF(NETDEV_UP): p3p1: link is not ready
time:           Mon 30 Apr 2012 05:18:47 AM PDT

backtrace:
:ADDRCONF(NETDEV_UP): p3p1: link is not ready
:jme 0000:05:00.0: p3p1: Link is up at ANed: 100 Mbps, Full-Duplex, MDI
:ADDRCONF(NETDEV_CHANGE): p3p1: link becomes ready
:Oops: 0000 [#1] SMP 
:Modules linked in: bluetooth binfmt_misc xt_limit ipt_LOG xt_DSCP nf_conntrack_irc nf_conntrack_ftp fuse ppdev parport_pc lp parport nfsd nfs_acl auth_rpcgss ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi vfat fat usblp arc4 rtl8192ce rtl8192c_common rtlwifi mac80211 cfg80211 snd_hda_codec_hdmi snd_hda_codec_realtek uvcvideo videobuf2_core videodev snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device media videobuf2_vmalloc videobuf2_memops iTCO_wdt vhost_net macvtap jmb38x_ms macvlan tun iTCO_vendor_support rfkill jme memstick virtio_net mii kvm_intel kvm snd_pcm snd_timer snd soundcore i2c_i801 snd_page_alloc joydev serio_raw microcod
:e uinput sunrpc sdhci_pci sdhci mmc_core nouveau ttm mxm_wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video wmi [last unloaded: scsi_wait_scan]
:Pid: 1280, comm: Xorg Not tainted 3.3.1-5.fc16.i686.PAE #1 CLEVO CO.                        W150HRM                         /W150HRM                         
:EIP: 0060:[<f826f2d8>] EFLAGS: 00213202 CPU: 1
:EIP is at gen6_render_ring_flush+0x18/0x210 [i915]
:EAX: 00000000 EBX: f6a98028 ECX: 00000041 EDX: 00000006
:ESI: 00000000 EDI: 0000003e EBP: ef523d34 ESP: ef523d28
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process Xorg (pid: 1280, ti=ef522000 task=ed6fb240 task.ti=ef522000)
:Stack:
: 00000000 00000000 0000003e ef523d70 f8244c0a 00000000 ef523df8 ef523d70
: f8249956 00000000 f6a98028 ef523df8 f6a98028 00000041 ef472500 00000000
: 00000000 00000041 ef523e10 f824ac51 ea2a9600 ef523db8 f8246f8c ef523da0
:Call Trace:
: [<f8244c0a>] i915_gem_flush_ring+0x3a/0x190 [i915]
: [<f8249956>] ? i915_gem_execbuffer_reserve+0x2c6/0x320 [i915]
: [<f824ac51>] i915_gem_do_execbuffer+0xe91/0x1110 [i915]
: [<f8246f8c>] ? i915_gem_object_pin+0x11c/0x190 [i915]
: [<c043e7e8>] ? kmap_atomic_prot_pfn+0xb8/0x100
: [<f824b401>] i915_gem_execbuffer2+0x61/0x210 [i915]
: [<f8184e18>] drm_ioctl+0x378/0x480 [drm]
: [<f824b3a0>] ? i915_gem_execbuffer+0x4d0/0x4d0 [i915]
: [<c066d6e0>] ? copy_to_user+0x40/0x60
: [<c054ad21>] ? cp_new_stat64+0xe1/0x100
: [<f8184aa0>] ? drm_copy_field+0x80/0x80 [drm]
: [<c0556562>] do_vfs_ioctl+0x82/0x5a0
: [<c0555cd7>] ? fasync_alloc+0x17/0x20
: [<c0555068>] ? f_modown+0x58/0xa0
: [<c0456de0>] ? recalc_sigpending+0x30/0x70
: [<c0457625>] ? __set_task_blocked+0x35/0x80
: [<c04b6e6e>] ? __audit_syscall_exit+0x36e/0x3a0
: [<c04b6e6e>] ? __audit_syscall_exit+0x36e/0x3a0
: [<c04b6e6e>] ? __audit_syscall_exit+0x36e/0x3a0
: [<c0556aef>] sys_ioctl+0x6f/0x80
: [<c0951fdf>] sysenter_do_call+0x12/0x28
:Code: f4 8b 75 f8 8b 7d fc 89 ec 5d c3 80 f9 05 75 a4 eb 9f 90 55 89 e5 57 56 53 3e 8d 74 26 00 ba 06 00 00 00 89 c3 8b 80 d8 00 00 00 <8b> 78 08 89 d8 e8 ae f3 ff ff 83 ef 80 85 c0 0f 84 ab 00 00 00 

smolt_data:
:
:
:General
:=================================
:UUID: 45743f9b-f23d-4c53-a3f0-451e76c6f42c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: C
:Platform: i686
:BogoMIPS: 5188.19
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2540M CPU @ 2.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2601
:System Memory: 7997
:System Swap: 8999
:Vendor: CLEVO CO.
:System: W150HRM N/A
:Form factor: Laptop
:Kernel: 3.3.4-1.fc16.i686.PAE
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:5464:5376) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(6523:9107:5464:5376) pci, jmb38x_ms, BASE, MS Host Controller
:(4332:33142:4332:37270) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(6523:9105:5464:5376) pci, None, BASE, Standard SD Host Controller
:(32902:294:5464:5376) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5464:5376) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5464:5376) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:5464:5376) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3534:5464:5376) pci, nouveau, VIDEO, N/A
:(32902:7200:5464:5376) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:5464:5376) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:5464:5376) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(6523:9106:5464:5376) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:592:5464:5376) pci, jme, ETHERNET, JMC250 PCI Express Gigabit Ethernet Controller
:(4172:33345:5464:5376) pci, xhci_hcd, USB, N/A
:(32902:7171:5464:5376) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:5464:5376) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5464:5376) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:5464:5376) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5464:5376) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:5464:5376) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 25561025 23730840 22450840 6406144 6133363 6133363
:/dev/sda8 WITHHELD vfat 8192 8192 1278748 1222728 1222728 0 0 0
:/dev/sda11 WITHHELD ext4 1024 1024 1000 984 933 128 117 117
:/dev/sda7 /home ext4 4096 4096 25561025 24006548 22726548 6406144 6384983 6384983
:/dev/sda7 WITHHELD ext4 4096 4096 25561025 24006548 22726548 6406144 6384983 6384983
:/dev/sda12 /tmp ext4 4096 4096 62665818 61704616 58567669 15687680 15687233 15687233
:/dev/sda3 /boot ext4 1024 1024 508745 411925 386325 128016 127787 127787
:/dev/sda6 /usr/local ext4 4096 4096 51137456 48446525 45886525 12804096 12744964 12744964
:/dev/sda6 WITHHELD ext4 4096 4096 51137456 48446525 45886525 12804096 12744964 12744964
:/dev/sda9 /opt ext4 4096 4096 2551955 2446616 2318616 640848 640459 640459
:
Comment 1 Fedora End Of Life 2013-01-16 05:04:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 03:21:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.